package com.yc.education.service.impl;

import com.yc.education.mapper.CultureMapper;
import com.yc.education.model.Culture;
import com.yc.education.service.CultureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * huangpan
 * 2019/9/26
 * energy
 */
@Service
public class CultureServiceImpl extends  BaseService<Culture> implements CultureService {
    @Autowired
    CultureMapper cultureMapper;

    @Override
    public Culture getCulture(int id) {
        return cultureMapper.getCulture(id);
    }

    @Override
    public void updateCulture(Culture culture) {
    cultureMapper.updateByPrimaryKey(culture);
    }

    @Override
    public Culture getCultureId(int id) {
        return cultureMapper.getCultureId(id);
    }
}
